Skip to main content
GET
Get Memory

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

memory_id
string
required

Query Parameters

user_id
string | null

User ID

Response

Successful Response

Schema for memory response.

memory_id
string
required

Unique identifier for the memory.

user_id
string
required

User ID who owns the memory.

memory
string
required

The memory content.

topics
string[] | null

Topics associated with the memory.

created_at
string<date-time> | null

When the memory was created.

updated_at
string<date-time> | null

When the memory was last updated.

metadata
Metadata · object | null

Additional metadata for the memory.